package com.cf.imes.module.executor.enums.pack;

import com.cf.imes.framework.common.core.IntArrayValuable;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;

/**
 * 分堆打包扫描部件关联类型
 *
 * @author Gqr
 * @since 2026/3/18 11:08
 */
@RequiredArgsConstructor
@Getter
public enum PackScanComponentCorrelationTypeEnum implements IntArrayValuable {
    /**
     * 本身
     */
    SELF(0),

    /**
     * 部件父级
     */
    PARENT(1),

    /**
     * 部件顶级
     */
    TOP(2);

    private final Integer type;

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(PackScanComponentCorrelationTypeEnum::getType).toArray();


    @Override
    public int[] array() {
        return ARRAYS;
    }
}
